<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'annie',

    /*
     * Package.
     */
    'package'   => 'testing',

    /*
     * Modules.
     */
    'modules'   => ['activity_social_partner', 'activity_work_area'],

    'activity_social_partner'       => [
        'model' => [
            'model'                 => \Annie\Testing\Models\ActivitySocialPartner::class,
            'table'                 => 'activity_social_partners',
            'presenter'             => \Annie\Testing\Repositories\Presenter\ActivitySocialPartnerPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'activity_id',  'social_partner_id'],
            'translatables'         => [],
            'upload_folder'         => 'testing/activity_social_partner',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'Testing',
            'module'    => 'ActivitySocialPartner',
        ],

    ],
    'activity_work_area'       => [
        'model' => [
            'model'                 => \Annie\Testing\Models\ActivityWorkArea::class,
            'table'                 => 'activity_work_areas',
            'presenter'             => \Annie\Testing\Repositories\Presenter\ActivityWorkAreaPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'activity_id',  'work_area_id'],
            'translatables'         => [],
            'upload_folder'         => 'testing/activity_work_area',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'Testing',
            'module'    => 'ActivityWorkArea',
        ],

    ],
];
