<?php

namespace Annie\Testing\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind ActivitySocialPartner policy
        'Annie\Testing\Models\ActivitySocialPartner' => \Annie\Testing\Policies\ActivitySocialPartnerPolicy::class,// Bind ActivityWorkArea policy
        'Annie\Testing\Models\ActivityWorkArea' => \Annie\Testing\Policies\ActivityWorkAreaPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
